<div class='table-responsive'>
    <table class='table table-bordered th-bg hover' id="mytable">
        <thead>
            <tr>
                <th>รายการจองใช้รถประจำเดือน</th>
                <th width='100'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $irow = 0;
            $models = $grids['models'];
            foreach ($models as $r) {
                $irow++;
                $imagePath = Car::model()->getImagePath($r['car_id'], "picture1");
                ?>
                <tr>
                    <td valign='top'>
                        <div class="media">
                            <div class="media-left">
                                <img src='<?php echo $imagePath; ?>' class="img-responsive" style="width: 100px;"/>
                            </div>
                            <div class="media-body">
                                <div>
                                    <div class='pull-left'>
                                        <h4 class='media-heading' style="margin-top:0px"><?php echo $r['car_code']; ?></h4>
                                    </div>
                                    <div class='pull-right' style="font-size:11px">
                                        <?php
                                        echo Booking::model()->getLabelStatus($r['id']);
                                        if ($r['status'] == '1') {
                                            echo "<i class='label label-default'>" . MyDate::dateToText($r['read_date'], true) . "</i>";
                                        } else if ($r['status'] > 1) {
                                            echo "<i class='label label-default'>" . MyDate::dateToText($r['approve_date'], true) . "</i>";
                                        }
                                        ?>

                                    </div>
                                </div>
                                <div class='clearfix'></div>
                                <div>
                                    <strong>วันที่ใช้รถ </strong> <?php echo MyDate::dateThaiShort($r['start_date']) . " เวลา " . date("H:i", strtotime($r['start_date'])); ?>
                                    <strong>&nbsp;&nbsp;ถึงวันที่&nbsp;&nbsp;</strong> <?php echo MyDate::dateThaiShort($r['end_date']) . " เวลา " . date("H:i", strtotime($r['end_date'])); ?>
                                </div>
                                <div>
                                    <strong>ผู้ขอใช้ </strong><?php echo $r['person_name']; ?><strong>&nbsp;&nbsp;&nbsp;สำหรับแผนก </strong><?php echo $r['depart_name']; ?>
                                </div>
                                <div>
                                    <strong>จองใช้รถเพื่อ </strong><?php echo $r['working']; ?>
                                </div>
                            </div>
                        </div>
                    </td>
                    <td class="text-center nowrap">
                        <?php echo '<a href="javascript:void(0);" onclick="return showEventMore(\'' . $r['id'] . '\')" class="label label-info"><i class="fa fa-list-alt"></i> รายละเอียด</a>'; ?>
                    </td>
                </tr>
                <?php
            }
            if ($irow == '0') {
                echo "<tr><td align='center'><strong>*** ไม่มีรายการจองประจำเดือนนี้ ***</strong></td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>


<div class="row">
    <div class='col-sm-12'>
        <div class="pull-left">
            <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
        </div>
        <div class='pull-right'>
            <div class="dataTables_paginate paging_bs_normal">
                <?php
                $this->widget('CLinkPager', array(
                    'htmlOptions' => array(
                        'class' => 'pagination pagination-sm',
                    ),
                    'pages' => $grids['pages'],
                    'header' => '',
                    'firstPageLabel' => '<<',
                    'prevPageLabel' => "<",
                    'nextPageLabel' => '>',
                    'lastPageLabel' => '>>',
                ));
                ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                loadGridView(url);
            }
            return true;
        });
    });
</script>

