<div class='table-responsive'>
    <table class='table table-bordered table-hover th-bg'>
        <thead>
            <tr>
                <th>ชื่อไฟล์</th>
                <th>คำอธิบาย</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $irow = 0;
            foreach ($models as $r) {
                $file = Yii::getPathOfAlias("webroot") . '/' . $r->path . $r->filename;
                if (file_exists($file)) {
                    $irow++;
                    echo "<tr>";
                    echo "<td><a href='" . Yii::app()->createUrl('/carfile/download', array('file' => base64_encode($r->id))) . "' target='_blank'>$r->oldfilename</a></td>";
                    echo "<td>$r->comment</td>";
                    echo '<td class="text-center nowrap">';
                    echo '<a href="#" onclick="return delCarFile(\'' . $r->id . '\')" class="label label-danger"><i class="fa fa-times"></i> ลบ</a>';
                    echo "</td>";
                    echo "</tr>";
                }
            }
            if ($irow == 0) {
                echo "<tr><td colspan='3' class='text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>
<div class="row margin-top-20">
    <div class='col-sm-12'>
        <div class="pull-left">
            ไฟล์แนบทั้งหมด <strong class="label label-info"><?php echo number_format($irow); ?></strong> ไฟล์</div>
    </div>
    <div class="clearfix"></div>
</div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                load_div_grid(url);
            }
            return true;
        });
    });
</script>