<?php
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/chosen/chosen.css');
Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/chosen/chosen-bootstrap.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/chosen/chosen.jquery.min.js');

Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jquery.numeric.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/jasny-bootstrap/jasny-bootstrap.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jasny-bootstrap/jasny-bootstrap.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/jasny-bootstrap/jasny-bootstrap-inputmask.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/datepicker3.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/bootstrap-datepicker-thai.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/bootstrap-datepicker/locales/bootstrap-datepicker.th.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/facebox/facebox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/facebox/facebox.js', CClientScript::POS_END);

Yii::app()->clientScript->registerCssFile(Yii::app()->baseUrl . '/js/fancyapp/source/jquery.fancybox.css');
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/fancyapp/source/jquery.fancybox.pack.js', CClientScript::POS_END);
Yii::app()->clientScript->registerScriptFile(Yii::app()->baseUrl . '/js/fancyapp/lib/jquery.mousewheel-3.0.6.pack.js', CClientScript::POS_END);

$this->pageTitle = Yii::app()->name . ' รายละเอียดรถ';

$newORedit = ($model->id == '') ? 'เพิ่ม' : 'แก้ไข';
$this->breadcrumbs = array(
    'ข้อมูลรถ' => array('/car'),
    "รายละเอียดรถ ($newORedit)"
);

$classLabel = 'col-sm-2 control-label';
$classDiv = 'col-sm-4';
$this->renderPartial('//layouts/hasFlash');
?>

<style>
    .div-image-center{
        background-color: #FFF;
        width: 200px;
        height: 150px;
        line-height: 150px;
        text-align: center;
    }
</style>

<div class="row" id='headRow'>
    <div class="col-sm-12 col-md-12">
        <div class="tab-container">
            <ul class="nav nav-tabs">
                <li class="active"><a href="#tab1" data-toggle="tab">รายละเอียดรถ</a></li>
                <li><a href="#tab2" data-toggle="tab">เอกสาร</a></li>
            </ul>
            <div class="tab-content" style='margin-bottom:10px;'>
                <div class="tab-pane active cont" id="tab1">
                    <div class="widget-toolbar">
                        <?php echo CHtml::link('<i class="fa fa-plus"></i> เพิ่มข้อมูล', array('car/create'), array('class' => 'btn btn-xs btn-success')); ?>
                        <?php
                        echo '<a href="#" onclick="return del(\'' . $model->id . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบข้อมูล</a>';
                        ?>
                    </div>
                    <div class="clearfix"></div>
                    <hr style='margin-top:5px'/>
                    <?php
                    $form = $this->beginWidget('CActiveForm', array(
                        'id' => 'myform',
                        'enableClientValidation' => false,
                        'enableAjaxValidation' => false,
                        'htmlOptions' => array(
                            'class' => 'form-horizontal',
                            'enctype' => 'multipart/form-data',
                        ),
                        'action' => Yii::app()->createUrl('car/update'), //<- your form action here
                    ));
                    ?>

                    <div class="alert alert-danger fade in no-margin" style="display:none" id="alert_frm"></div>
                    <input type="hidden" id="id" name='id' value="<?php echo $model->id; ?>"/>

                    <div class="form-group">
                        <label class="<?php echo $classLabel; ?>">ทะเบียน<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <?php echo $form->textField($model, 'code', array('class' => 'form-control', 'autofocus' => 'true', 'required' => 'true')); ?>
                        </div>

                        <label class="<?php echo $classLabel; ?>">จังหวัด<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <select id="Car_prov_code" name="Car[prov_code]" data-placeholder="ป้อนหรือคลิกเลือกรายการ" class="chzn-select-deselect form-control" required="" title='คุณต้องเลือกจังหวัด'>
                                <option value=""></option>
                                <?php
                                $provinces = Province::model()->findAll(array('order' => 'name asc'));
                                foreach ($provinces as $r) {
                                    $selected = ($model->prov_code == $r->code) ? 'selected' : '';
                                    echo "<option value='$r->code' $selected>$r->name</option>";
                                }
                                ?>
                            </select>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">หมายเลขรถ</label>
                        <div class="<?php echo $classDiv; ?>">
                            <?php echo $form->textField($model, 'carno', array('class' => 'form-control')); ?>
                        </div>

                        <label class="<?php echo $classLabel; ?>">สถานะ</label>
                        <div class="<?php echo $classDiv; ?>">
                            <select id="Car_status" name="Car[status]" class="form-control">
                                <option value="0" <?php if ($model->status == '0') echo 'selected'; ?>>ปกติ</option>
                                <option value="1" <?php if ($model->status == '1') echo 'selected'; ?>>ซ่อมแซม</option>
                                <option value="2" <?php if ($model->status == '2') echo 'selected'; ?>>งดให้บริการชั่วคราว</option>
                                <option value="3" <?php if ($model->status == '3') echo 'selected'; ?>>ยกเลิกใช้</option>
                            </select>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">ประเภทรถ<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <select id="Car_cartype_id" name="Car[cartype_id]" class="form-control" required="" title='คุณต้องเลือกประเภทรถ'>
                                <option value="">***เลือกประเภทรถ***</option>
                                <?php
                                $carTypes = Cartype::model()->findAll(array('order' => 'name asc'));
                                foreach ($carTypes as $r) {
                                    $selected = ($model->cartype_id == $r->id) ? 'selected' : '';
                                    echo "<option value='$r->id' $selected>$r->name</option>";
                                }
                                ?>
                            </select>
                        </div>

                        <label class="<?php echo $classLabel; ?>">ยี่ห้อรถ<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <select id="Car_brand_id" name="Car[brand_id]" class="form-control" required>
                                <option value="">***เลือกยี่ห้อรถ***</option>
                                <?php
                                $brands = Brand::model()->findAll(array('order' => 'name asc'));
                                foreach ($brands as $r) {
                                    $selected = ($model->brand_id == $r->id) ? 'selected' : '';
                                    echo "<option value='$r->id' $selected>$r->name</option>";
                                }
                                ?>
                            </select>
                        </div>
                    </div>


                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">ประเภทน้ำมัน<span class="required">*</span></label>
                        <div class="<?php echo $classDiv; ?>">
                            <select id="Car_oil_id" name="Car[oil_id]" class="form-control" required="" title='คุณต้องเลือกประเภทน้ำมัน'>
                                <option value="">***เลือกประเภทน้ำมัน***</option>
                                <?php
                                $oils = Oil::model()->findAll(array('order' => 'name asc'));
                                foreach ($oils as $r) {
                                    $selected = ($model->oil_id == $r->id) ? 'selected' : '';
                                    echo "<option value='$r->id' $selected>$r->name</option>";
                                }
                                ?>
                            </select>
                        </div>

                        <label class="<?php echo $classLabel; ?>">สี</label>
                        <div class="<?php echo $classDiv; ?>">
                            <?php echo $form->textField($model, 'color', array('class' => 'form-control')); ?>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">รุ่น</label>
                        <div class="col-md-10">
                            <?php echo $form->textField($model, 'model', array('class' => 'form-control')); ?>
                        </div>
                    </div>


                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">จำนวนที่นั่ง</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group">
                                <?php echo $form->textField($model, 'seats', array('class' => 'form-control numeric')); ?>
                                <span class="input-group-addon">ที่นั่ง</span>
                            </div>
                        </div>
                    </div>


                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">หมายเลขเครื่อง</label>
                        <div class="<?php echo $classDiv; ?>">
                            <?php echo $form->textField($model, 'machine_no', array('class' => 'form-control')); ?>
                        </div>

                        <label class="<?php echo $classLabel; ?>">เลขตัวถัง</label>
                        <div class="<?php echo $classDiv; ?>">
                            <?php echo $form->textField($model, 'machine_tank', array('class' => 'form-control')); ?>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">ราคา</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group">
                                <?php echo $form->textField($model, 'price', array('class' => 'form-control numeric')); ?>
                                <span class="input-group-addon">บาท</span>
                            </div>
                        </div>

                        <label class="col-sm-3 control-label">ค่าเช่า:นาที</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group">
                                <?php
                                $model->rate = number_format($model->rate, 2);
                                echo $form->textField($model, 'rate', array('class' => 'form-control numeric'));
                                ?>
                                <span class="input-group-btn">
                                    <button type="button" class="btn btn-default" data-toggle="modal" data-target="#myModalCalculator"><i class="fa fa-usd"></i></button>
                                </span>
                            </div>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">วันที่ซื้อ</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_buy = MyDate::dateToText($model->date_buy);
                                echo $form->textField($model, 'date_buy', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>

                        <label class="col-sm-3 control-label">วันที่รับเข้า</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_in = MyDate::dateToText($model->date_in);
                                echo $form->textField($model, 'date_in', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">วันที่จดทะเบียน</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_f_code = MyDate::dateToText($model->date_f_code);
                                echo $form->textField($model, 'date_f_code', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>

                        <label class="col-sm-3 control-label">ทะเบียนหมดอายุ</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_e_code = MyDate::dateToText($model->date_e_code);
                                echo $form->textField($model, 'date_e_code', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">วันทำ พ.ร.บ.</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_f_cpi = MyDate::dateToText($model->date_f_cpi);
                                echo $form->textField($model, 'date_f_cpi', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>

                        <label class="col-sm-3 control-label">พ.ร.บ. หมดอายุ</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_e_cpi = MyDate::dateToText($model->date_e_cpi);
                                echo $form->textField($model, 'date_e_cpi', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">วันทำประกันภัย</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_f_insure = MyDate::dateToText($model->date_f_insure);
                                echo $form->textField($model, 'date_f_insure', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>

                        <label class="col-sm-3 control-label">ประกันภัยหมดอายุ</label>
                        <div class="col-sm-3 col-md-3 col-lg-3">
                            <div class="input-group date">
                                <?php
                                $model->date_e_insure = MyDate::dateToText($model->date_e_insure);
                                echo $form->textField($model, 'date_e_insure', array('class' => 'form-control', 'placeholder' => 'วันที่ วว/ดด/ปี พ.ศ.'));
                                ?>
                                <span class="input-group-addon btn btn-primary"><span class="glyphicon glyphicon-th"></span></span>
                            </div>
                        </div>
                    </div>

                    <div class='form-group'>
                        <label class="<?php echo $classLabel; ?>">บริษัทประกันภัย</label>
                        <div class="col-md-10">
                            <select id="Car_insurer_id" name="Car[insurer_id]" data-placeholder="ป้อนหรือคลิกเลือกรายการ" class="chzn-select-deselect form-control">
                                <option value=""></option>
                                <?php
                                $Insurers = Insurer::model()->findAll(array('order' => 'name asc'));
                                foreach ($Insurers as $r) {
                                    $selected = ($model->insurer_id == $r->id) ? 'selected' : '';
                                    echo "<option value='$r->id' $selected>$r->name</option>";
                                }
                                ?>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="<?php echo $classLabel; ?>">คำอธิบายเพิ่มเติม</label>
                        <div class="col-md-10">
                            <?php echo $form->textArea($model, 'comment', array('rows' => 2, 'class' => 'form-control')); ?>
                        </div>
                    </div>
                    <br/>
                    <?php $baseUrl = Yii::app()->request->baseUrl; ?>
                    <fieldset>
                        <legend><i class="fa fa-picture-o"></i> ภาพประกอบ</legend>
                        <div class="alert alert-info">ขนาดภาพที่เหมาะสมคือ 640 x 480 pixel (ภาพแรกจะเป็นภาพหลักประจำรถ)</div>
                        <?php
                        for ($i = 1; $i < 5; $i++):
                            $imagePath = Car::model()->getImagePath($model->id, "picture$i");
                            ?>
                            <div class="fileinput fileinput-new" data-provides="fileinput" style="margin-left:5px;">
                                <div class="fileinput-new thumbnail div-image-center">
                                    <a href='<?php echo $imagePath; ?>' class='fancybox' rel="gallery1" title='ภาพประกอบรถ <?php echo $i; ?>'>
                                        <img src="<?php echo $imagePath; ?>" alt="ภาพประกอบรถ <?php echo $i; ?>" class="img-responsive">
                                    </a>
                                </div>
                                <div class="fileinput-preview fileinput-exists thumbnail div-image-center"></div>
                                <div>
                                    <span class="btn btn-default btn-file"><span class="fileinput-new">เลือกรูปรถ <?php echo $i; ?></span><span class="fileinput-exists">เปลี่ยน</span><input type="file" name="<?php echo "picture$i"; ?>"></span>
                                    <a href="#" class="btn btn-default fileinput-exists" data-dismiss="fileinput">ยกเลิก</a>
                                </div>
                            </div>
                        <?php endfor; ?>
                    </fieldset>

                    <div class="form-actions form-actions-gt">
                        <div class="row no-margin">
                            <button type="button" class="btn btn-primary btn-lg" onclick="save();">
                                <i class="fa fa-save"></i>
                                บันทึกข้อมูล
                            </button>
                        </div>
                    </div>
                    <?php $this->endWidget(); ?>
                </div>  <!-- end tab1 -->

                <div class="tab-pane cont" id="tab2">
                    <?php
                    if ($model->id == '') {
                        echo '<div class="alert alert-warning no-margin">
                        <h4 class="no-margin">คุณต้องบันทึกข้อมูลรถก่อน จึงจะอัพโหลดไฟล์ได้</h4>
                      </div>';
                    } else {
                        $this->renderPartial('_formupload', array('car_id' => $model->id));
                    }
                    ?>
                </div>  <!-- end tab2 -->
            </div>  <!-- end tab content -->
        </div>  <!-- end tab containger -->
    </div>
</div>


<!-- Modal -->

<!-- Modal -->
<div class="modal fade colored-header" id="myModalCalculator" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" data-backdrop="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title" id="myModalLabel">แปลงเป็นค่าเช่า ต่อนาที</h4>
            </div>

            <div class='form-horizontal'>
                <div class="modal-body">
                    <div class="form-group">
                        <label class="col-md-3 control-label">แปลงจาก</label>
                        <div class="col-md-6">
                            <select id="ddlCal" class='form-control'>
                                <option value="0">ชั่วโมง => นาที</option>
                                <option value="1">วันเป็น => นาที</option>
                            </select>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">ค่าเช่า(บาท)</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <input type='text' id='num_convert' value='' class='form-control numberic'/>
                                <span class="input-group-addon">บาท : x</span>
                            </div>
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">แปลงได้นาทีละ</label>
                        <div class="col-md-4">
                            <div class="input-group">
                                <input type='text' id='num_rate' value='' class='form-control numberic' readonly=""/>
                                <span class="input-group-addon">บาท</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal" name="a"> ปิด </button>
                    <button type="button" class="btn btn-primary" name="b" onclick="calculatorOk()"> ตกลง</button>
                </div>
            </div>

        </div>
    </div>
</div>

<script type='text/javascript'>
    $(document).ready(function () {
        $(".numeric").numeric({negative: false});

        $(".chzn-select-deselect").chosen({
            allow_single_deselect: true,
            no_results_text: 'ไม่พบรายชื่อ!',
            search_contains: true
        });


        $('.input-group.date').datepicker({
            todayBtn: 'linked',
            language: "th-th",
            keyboardNavigation: true,
            autoclose: true,
            todayHighlight: true,
            orientation: "top auto",
            format: "dd/mm/yyyy"
        });

        $('#myform').validate({ignore: ":hidden:not(select)",
            invalidHandler: function (event, validator) {
                loadingStaticRemove();
            }
        });

        $('#num_convert').keyup(function () {
            calculator();
        });
        $('#ddlCal').change(function () {
            calculator();
        });

        $(".fancybox").fancybox();
    });

    function save() {
        var p = {};
        p['save'] = true;
        p['id'] = $('#id').val();
        p['code'] = $('#Car_code').val();

        $.ajax({
            data: p,
            url: "<?php echo Yii::app()->createUrl('car/ajaxValidate') ?>",
            type: 'POST',
            dataType: 'json',
            success: function (data) {
                scrollToTop();
                if (data.msg == '0') {
                    loadingStatic();
                    $('#myform').submit();
                } else {
                    bootbox.alert(artalert('danger', data.msgText));
                }
            },
            error: function () {
                bootbox.alert(artalert('danger', 'ไม่สามารถบันทึกข้อมูลได้ กรุณาลองใหม่อีกครั้ง !!'));
            }
        });
        return true;
    }

    function del(id) {
        bootbox.confirm(artalert('warning', 'คุณต้องการลบข้อมูลรายการนี้ ใช่หรือไม่!!'), function (result) {
            if (result) {
                var p = {};
                p['id'] = id;
                $.ajax({
                    data: p,
                    url: "<?php echo Yii::app()->createUrl('car/ajaxDelete') ?>",
                    type: 'POST',
                    dataType: 'json',
                    success: function () {
                        window.location.href = "<?php echo Yii::app()->createUrl('car/create'); ?>"
                    },
                    error: function () {
                        bootbox.alert(artalert('danger', 'ไม่สามารถทำรายการได้ กรุณาลองใหม่อีกครั้ง !!'));
                    }
                });
            }
        });

        return true;
    }

    function calculator() {
        var numresult;
        if ($('#ddlCal').val() == '0') {
            //ชั่วโมง==>นาที
            numresult = $('#num_convert').val() / 60;
        } else {
            //วัน==>นาที
            numresult = $('#num_convert').val() / (24 * 60);
        }

        $('#num_rate').val(numresult.toFixed(2));
    }
    function calculatorOk() {
        $('#Car_rate').val($('#num_rate').val());
        $('#myModalCalculator').modal('hide');
    }
</script>