<script type="text/javascript">
    $(function () {
        $('#mytable').highlight($('#txtsearch').val());
    });
</script>

<div class="table-responsive">
    <table class='table table-bordered th-bg hover' id="mytable">
        <thead>
            <tr>
                <th width="100" class='text-center'>สถานะ</th>
                <th class='text-center' width="90">วันที่ส่งคืน</th>
                <th class='text-center' width="90">วันที่รับคืน</th>
                <th class='text-center' width="120">เลขที่ใบจอง</th>
                <th class='text-center' width="100">ทะเบียน</th>
                <th>จองใช้รถเพื่อ</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $status_text = Booking::model()->getLabelStatus($r['id']);
                echo "<tr>";
                echo "<td class='text-center'>$status_text</td>";
                echo "<td class='text-center'>" . MyDate::dateThaiShort($r['date_return']) . "</td>";
                echo "<td class='text-center'>" . MyDate::dateThaiShort($r['date_return_ok']) . "</td>";
                echo "<td class='text-center'>" . $r['docno'] . "</td>";
                echo "<td class='text-center'>" . $r['car_code'] . "</td>";
                echo "<td>" . $r['working'] . "</td>";
                echo '<td class="text-center nowrap">';
                echo CHtml::link('<i class="fa fa-pencil"></i> รับคืน', array("carreturn/update", "id" => $r['id']), array('class' => 'label label-default'));
                echo "</td>";
                echo "</tr>";
            }
            if ($irow == 0) {
                echo "<tr><td colspan='7' class='text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<div class="row">
    <div class='col-sm-12'>
        <div class="pull-left">
            <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
        </div>
        <div class='pull-right'>
            <div class="dataTables_paginate paging_bs_normal">
                <?php
                $this->widget('CLinkPager', array(
                    'htmlOptions' => array(
                        'class' => 'pagination pagination-sm',
                    ),
                    'pages' => $grids['pages'],
                    'header' => '',
                    'firstPageLabel' => '<<',
                    'prevPageLabel' => "<",
                    'nextPageLabel' => '>',
                    'lastPageLabel' => '>>',
                ));
                ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                load_div_grid(url);
            }
            return true;
        });
    });
</script>