<?php
$sidebar_active = Yii::app()->session['sidebar_active'];
?>
<div class="cl-sidebar">
    <div class="cl-toggle"><i class="fa fa-bars"></i></div>
    <div class="cl-navblock">
        <div class="menu-space">
            <div class="content">
                <ul class="cl-vnavigation">
                    <li><a href="#"><i class="fa fa-home"></i><span>หน้าหลัก</span></a>
                        <ul class="sub-menu">
                            <li <?php echo ($sidebar_active == 'calendar') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ปฏิทินการใช้รถ', array('/calendar'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'query') ? 'class="active"' : ''; ?>><?php echo CHtml::link('สอบถามรายการจอง', array('/query'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'cardetail') ? 'class="active"' : ''; ?>><?php echo CHtml::link('รายละเอียดรถ', array('/query/car'), array('tabindex' => '-1')); ?></li>
                        </ul>
                    </li>

                    <li><a href="#"><i class="fa fa-star"></i><span>ประจำวัน</span></a>
                        <ul class="sub-menu">
                            <?php
                            if (Yii::app()->user->member_type == '1' || Yii::app()->session['isUdepart'] > 0):
                                ?>
                                <li <?php echo ($sidebar_active == 'approve') ? 'class="active"' : ''; ?>>
                                    <a href="<?php echo Yii::app()->createUrl('/approve'); ?>">
                                        <?php
                                        $countWait = Booking::model()->countWating(Yii::app()->user->id);
                                        if ($countWait > 0) {
                                            echo "<span class='badge badge-danger pull-right'>$countWait</span>";
                                        }
                                        ?>
                                        งานรออนุมัติ
                                    </a>
                                </li>
                                <li <?php echo ($sidebar_active == 'carreturn') ? 'class="active"' : ''; ?>>
                                    <a href="<?php echo Yii::app()->createUrl('/carreturn', array('status' => '5')); ?>">
                                        <?php
                                        $countWait = Booking::model()->countReturn(Yii::app()->user->id);
                                        if ($countWait > 0) {
                                            echo "<span class='badge badge-danger pull-right'>$countWait</span>";
                                        }
                                        ?>
                                        รับคืนรถ
                                    </a>
                                </li>
                            <?php endif; ?>
                            <li <?php echo ($sidebar_active == 'booking') ? 'class="active"' : ''; ?>><?php echo CHtml::link('จองใช้รถ', array('/booking'), array('tabindex' => '-1')); ?></li>
                            <li <?php echo ($sidebar_active == 'carwork') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลการใช้รถ', array('/carwork'), array('tabindex' => '-1')); ?></li>
                        </ul>
                    </li>

                    <?php if (Yii::app()->user->member_type == '1'): ?>
                        <li><a href="#"><i class="fa fa-truck"></i><span>เกี่ยวกับรถ</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'car') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลรถ', array('/car'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'carfix') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การซ่อมบำรุง', array('/carfix'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'insurance') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การชำระเบี้ยประกันภัย', array('/insurance'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'tabian') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การต่อทะเบียน', array('/tabian'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'plb') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การต่อ พรบ.', array('/plb'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'payleasing') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การชำระค่างวด', array('/payleasing'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>
                    <?php endif; ?>

                    <?php if (Yii::app()->user->member_type == '1'): ?>
                        <li><a href="#"><i class="fa fa-male"></i><span>บุคคล</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'driver') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลพนักงานขับรถ', array('/driver'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'user') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ข้อมูลผู้ใช้', array('/user'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'userDepart') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ผู้อนุมัติประจำแผนก', array('/userdepart'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>

                        <li><a href="#"><i class="fa fa-archive"></i><span>ข้อมูลพื้นฐาน</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'faculty') ? 'class="active"' : ''; ?>><?php echo CHtml::link('หน่วยงาน', array('/faculty'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'depart') ? 'class="active"' : ''; ?>><?php echo CHtml::link('แผนก', array('/depart'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'oil') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ประเภทน้ำมัน', array('/oil'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'cartype') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ประเภทรถ', array('/cartype'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'brand') ? 'class="active"' : ''; ?>><?php echo CHtml::link('ยี่ห้อรถ', array('/brand'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'insurer') ? 'class="active"' : ''; ?>><?php echo CHtml::link('บริษัทประกันภัย', array('/insurer'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'leasing') ? 'class="active"' : ''; ?>><?php echo CHtml::link('บริษัทสินเชื่อ', array('/leasing'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'garage') ? 'class="active"' : ''; ?>><?php echo CHtml::link('อู่ซ่อมรถ', array('/garage'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>
                    <?php endif; ?>

                    <li <?php echo ($sidebar_active == 'report') ? 'class="active"' : ''; ?>><?php echo CHtml::link('<i class="fa fa-file"></i><span>รายงาน</span>', array('/reportpage'), array('tabindex' => '-1')); ?></li>

                    <?php if (Yii::app()->user->member_type == '1'): ?>
                        <li><a href="#"><i class="fa fa-cogs"></i><span>ตั้งค่าระบบ</span></a>
                            <ul class="sub-menu">
                                <li <?php echo ($sidebar_active == 'company') ? 'class="active"' : ''; ?>><?php echo CHtml::link('สถานประกอบการ', array('/company'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'docprefix') ? 'class="active"' : ''; ?>><?php echo CHtml::link('การรันเลขเอกสาร', array('/docprefix'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'import') ? 'class="active"' : ''; ?>><?php echo CHtml::link('นำเข้ารายชื่อผู้ใช้', array('/import'), array('tabindex' => '-1')); ?></li>
                                <li <?php echo ($sidebar_active == 'updates') ? 'class="active"' : ''; ?>><?php echo CHtml::link('อัพเดทโปรแกรม', array('/updates'), array('tabindex' => '-1')); ?></li>
                            </ul>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
        <div class="text-right collapse-button" style="padding:7px 9px;">
            <input type="text" class="form-control search" readonly="true" value='<?php echo Yii::app()->name . " " . Yii::app()->params['versionText']; ?>'>
            <button id="sidebar-collapse" class="btn btn-default" style=""><i style="color:#fff;" class="fa fa-angle-left"></i></button>
        </div>
    </div>
</div>