<script type="text/javascript">
    $(function () {
        $('#mytable').highlight($('#txtsearch').val());
    });
</script>
<div class='table-responsive'>
    <table class='table table-bordered th-bg hover' id="mytable">
        <thead>
            <tr>
                <th width="180">ชื่อเข้าใช้ระบบ</th>
                <th width="240">ชื่อ-สกุล</th>
                <th>แผนก</th>
                <th width='130' class='text-center'>อนุมัติได้ (แผนก)</th>
                <th width="100" class='text-center'></th>
            </tr>
        </thead>
        <tbody>
            <?php
            $models = $grids['models'];
            $countDepart = $grids['countDepart'];
            $irow = 0;
            foreach ($models as $r) {
                $irow++;
                $countPermis = Yii::app()->db->createCommand("select id from tb_userdepart where user_id='" . $r['user_id'] . "'")->execute();
                echo "<tr>";
                echo "<td>" . $r['username'] . "</td>";
                echo "<td>" . $r['title'] . $r['firstname'] . " " . $r['surname'] . "</td>";
                echo "<td>" . $r['depart_name'] . "</td>";
                echo "<td class='text-center'>$countPermis/$countDepart</td>";
                echo '<td class="text-center nowrap">';
                echo CHtml::link('<i class="fa fa-pencil"></i> แก้ไข/ยกเลิก', array("userdepart/update", "user_id" => $r['user_id']), array('class' => 'label label-default')) . "&nbsp;";
                echo "</td>";
                echo "</tr>";
            }
            if ($irow == 0) {
                echo "<tr><td colspan='5' class='text-center'>*** ไม่พบข้อมูล ***</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>

<div class="row margin-top-20">
    <div class='col-sm-12'>
        <div class="pull-left">
            <div id="datatable_info" class="dataTables_info">ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ</div>
        </div>
        <div class='pull-right'>
            <div class="dataTables_paginate paging_bs_normal">
                <?php
                $this->widget('CLinkPager', array(
                    'htmlOptions' => array(
                        'class' => 'pagination pagination-sm',
                    ),
                    'pages' => $grids['pages'],
                    'header' => '',
                    'firstPageLabel' => '<<',
                    'prevPageLabel' => "<",
                    'nextPageLabel' => '>',
                    'lastPageLabel' => '>>',
                ));
                ?>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</div>

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                load_div_grid(url);
            }
            return true;
        });
    });
</script>